<!DOCTYPE html> 

<html lang="pt-br">

<head>
	
	<meta charset="utf-8">
	
	<title> COMANDOS GIT </title>
	
	<link href="../css/stilo.css" rel="stylesheet" type="text/css">	

</head>

<body class="fundopagina">


<h1 class="titulo"><u>COMANDOS DE TRANSIÇÃO GITLAB</u></h1>

<p><h4><u id="comando_init">GIT INIT</u> - <i>INICIALIZA A PASTA COMO UM REPOSITORIO <br/>EX.: Digite na raiz GIT INIT e aperta enter <br> <img src="../imagens/git_init.jpg"></i></h4></p>

<p><h4><u id="comando_remote">GIT REMOTE ADD ORIGIN (CAMINHO DA SUA PASTA REMOTO) </u> - <i>VINCULA A SUA PASTA LOCAL COM A PASTA REMOTA <br/>EX.: Digite na raiz REMOTE ADD ORIGIN HTTPS://GITLAB.COM/ALUNO/SUAPASTA.GIT e aperta enter <br> <img src="../imagens/git_remote.jpg"></i></h4></p>

<p><h4><u id="comando_status">GIT STATUS</u> - <i>INFORMA COMO ESTA O REPOSITORIO, SE TEVE MODIFICAÇÃO OU ESTA TUDO OK <br/>EX.: Digite na raiz GIT STATUS e aperta enter <br> <img src="../imagens/git_status.jpg"> <br> <br> <img src="../imagens/git_status_modif.jpg"></i></h4></p>

<p><h4><u id="comando_add">GIT ADD .</u> - <i>ADICIONA OS ARQUIVOS NA LISTA DE ENVIO PARA O REPOSITORIO REMOTO <br/>EX.: Digite na raiz GIT ADD . e aperta enter <br> <img src="../imagens/git_add.jpg"></i></h4></p>

<p><h4><u id="comando_commit">GIT COMMIT -M 'MENSAGEM QUALQUER'</u> - <i>VERIFICA ATUALIZAÇÕES E CONFIRMA OS ARQUIVOS DE ENVIO <br/>EX.: Digite na raiz GIT COMMIT -M 'PROJETOALUNO' e aperta enter <br> <img src="../imagens/git_commit.jpg"></i></h4></p>

<p><h4><u id="comando_push">GIT PUSH -U ORIGIN MASTER</u> - <i>ENVIA OS ARQUIVOS PARA O REPOSITORIO REMOTO  <br/>EX.: Digite na raiz GIT PUSH -U ORIGIN MASTER e aperta enter, vai pedir seu usuario e senha para confirmação <br> <img src="../imagens/git_push.jpg"></i></h4></p>


<h1 class="titulo"><u>OUTROS COMANDOS DE TRANSIÇÃO GITLAB</u></h1>

<p><h4><u id="comando_clone">GIT CLONE (CAMINHO DA SUA PASTA REMOTO) </u> - <i>BAIXA A PASTA DO SEU REPOSITORIO REMOTO PARA SUA MAQUINA <br/>EX.: Digite na raiz GIT CLONE HTTPS://GITLAB.COM/ALUNO/SUAPASTA.GIT e aperta enter <br> <img src="../imagens/git_clone.jpg"></i></h4></p>

<p><h4><u id="comando_pull">GIT PULL ORIGIN MASTER</u> - <i>BAIXA UMA VERSAO MAIS ATUALIZADA DO SEU REPOSITORIO REMOTO PARA SUA MAQUINA <br/>EX.: Digite na raiz GIT PULL ORIGIN MASTER e aperta enter <br> <img src="../imagens/git_pull.jpg"></i></h4></p>

<p><h4><u id="comando_remotev">GIT REMOTE -V</u> - <i> MOSTRA (LISTA) AS ORIGIN DO REPOSITORIO REMOTO QUE ACESSOU <br/>EX.: Digite na raiz GIT REMOTE -V e aperta enter <br> <img src="../imagens/git_remoteV.jpg"></i></h4></p>

<a href="comandos_bash.html">Ir para pagina comandos BASH</a> <br/>

<a href="../index.html">Home</a><br/>

<a href="https://www.terra.com.br/">Site Terra</a><br/>

<a href="../duvidas.html" style="text-decoration : underline; color : red; ">Dúvidas?</a>

</body>

</html>